> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/cost-management-agent-apis/commitment-orchestrator/coverage-overview.md).

# Coverage Overview

## Get overall coverage across RI, SP and Ondemand

> Fetches coverage across RI, SP and Ondemand cost in terms of cost incurred for the given account within the specified date range.

```json
{"openapi":"3.0.1","info":{"title":"Commitment Orchestrator APIs","version":"1.0.0"},"tags":[],"servers":[{"url":"https://app.harness.io/gateway","description":"Production server"}],"paths":{"/accounts/{account_id}/v2/coverage/overview":{"post":{"tags":["Coverage Overview"],"summary":"Get overall coverage across RI, SP and Ondemand","description":"Fetches coverage across RI, SP and Ondemand cost in terms of cost incurred for the given account within the specified date range.","operationId":"CoverageOverview","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string"},"description":"Account Identifier for the entity."},{"name":"routingId","in":"query","required":true,"schema":{"type":"string"},"description":"Routing identifier for request processing."},{"name":"accountIdentifier","in":"query","required":true,"schema":{"type":"string"},"description":"Identifier of the account."},{"name":"start_date","in":"query","required":true,"schema":{"type":"string"},"description":"Start date for the compute coverage calculation period."},{"name":"end_date","in":"query","required":true,"schema":{"type":"string"},"description":"End date for the compute coverage calculation period."}],"requestBody":{"required":false,"description":"Service definition","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CopmputeCoverageFilter"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComputeCoverageResponse"}}}},"400":{"description":"Invalid request parameters"}}}}},"components":{"schemas":{"CopmputeCoverageFilter":{"type":"object","properties":{"regions":{"type":"array","items":{"type":"string"}},"instance_types":{"type":"array","items":{"type":"string"}},"cloud_account_ids":{"type":"array","items":{"type":"string"}},"service":{"type":"string","enum":["Amazon Elastic Compute Cloud - Compute","Amazon Relational Database Service","VirtualMachines"]},"sort_by":{"type":"string","description":"Field to sort by. SP: sp_covered_spend, on_demand_spend, coverage_percentage. RI: average_coverage, reservation_covered_hrs, on_demand_hrs, total_running_hrs, on_demand_cost."},"sort_order":{"type":"string","enum":["asc","desc"],"description":"Sort direction. Defaults to desc if not specified."}}},"ComputeCoverageResponse":{"type":"object","properties":{"ts":{"type":"integer","description":"Response timestamp"},"success":{"type":"boolean","description":"Specifies if the operation was successful"},"errors":{"type":"string","description":"Error message, if any"},"response":{"type":"object","properties":{"total_spend":{"type":"number","format":"double","description":"Total spend value in dollars"},"total_coverage_percentage":{"type":"number","format":"double","description":"Percentage of the total spend value in dollars"},"average_coverage_percentage":{"type":"number","format":"double","description":"Average Percentage of the total spend value in dollars"},"ondemand":{"$ref":"#/components/schemas/CoverageDetailed"},"savings_plans":{"$ref":"#/components/schemas/CoverageDetailed"},"reserved_instances":{"$ref":"#/components/schemas/CoverageDetailed"}}}}},"CoverageDetailed":{"type":"object","properties":{"value":{"type":"number","format":"double","description":"Cost value"},"percentage":{"type":"number","format":"double","description":"Cost value as a percentage"}}}}}}
```
